Bug 71735 - Kernel doesn't recognize IDE controller on Intel d845grg motherboard
Kernel doesn't recognize IDE controller on Intel d845grg motherboard
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-08-17 05:31 EDT by Dima Zbarski
Modified: 2014-01-21 17:48 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-07 15:42:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
A patch for IDE in Intel 845E chipset (6.77 KB, patch)
2002-09-03 03:36 EDT, hjl
no flags Details | Diff
A patch to fix up the IDE I/O ports. (1.47 KB, patch)
2002-09-08 02:14 EDT, hjl
no flags Details | Diff

  None (edit)
Description Dima Zbarski 2002-08-17 05:31:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.1b) Gecko/20020721

Description of problem:
When I try to execute 'hdparm -d1 /dev/hda' I get error saying that it is not
possible to enable DMA on that disk.
After checking /var/log/dmesg I discovered that the problem is that kernel
doesn't recognize my IDE controller.
I have Intel D845GRG motherboard.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install RedHat Linux 7.3 on Intel D845GRG based computer.
2.Try to execute 'hdparm -d1 /dev/hda'
3.Take a look at /var/log/dmesg

Actual Results:  using DMA=0

Expected Results:  using DMA=1

Additional info:
Comment 1 hjl 2002-09-03 03:36:53 EDT
Created attachment 74604 [details]
A patch for IDE in Intel 845E chipset
Comment 2 hjl 2002-09-03 03:39:44 EDT
I want something stable for my new MB with Intel 845E chipset.
I am testing this patch against kernel 2.4.18-10. It seems to
work ok for me. I copied several GB data onto the IDE HD. I got

PCI: Probing PCI hardware (bus 00)
PCI: IDE base address fixup for 00:1f.1
    Assigned region 0: I/O ports: 0x1f0-0x1f7
    Assigned region 1: I/O ports: 0x3f6-0x3f6
    Assigned region 2: I/O ports: 0x170-0x177
    Assigned region 3: I/O ports: 0x376-0x376
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
PIIX4: IDE controller on PCI bus 00 dev f9
PIIX4: chipset revision 1
PIIX4: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xf000-0xf007, BIOS settings: hda:DMA, hdb:pio
    ide1: BM-DMA at 0xf008-0xf00f, BIOS settings: hdc:DMA, hdd:pio
hda: LITE-ON LTR-48125W, ATAPI CD/DVD-ROM drive
hdc: Maxtor 96147H6, ATA DISK drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
Comment 3 Seth Vidal 2002-09-03 07:35:37 EDT
The kernel in rawhide 2.4.18-12.5 seems to already have an similar patch.
2.4.18-12.5 fixes the dma problem for the 845 chipsets afaict.
Comment 4 hjl 2002-09-07 03:49:43 EDT
2.4.18-12.5 is ok, but not good enough:

# cat /proc/ioports
0170-0000 : Intel Corp. 82801CAM IDE U100
0170-0177 : ide1
01f0-0000 : Intel Corp. 82801CAM IDE U100
01f0-01f7 : ide0
0374-0000 : Intel Corp. 82801CAM IDE U100
0376-0376 : ide1
1860-186f : Intel Corp. 82801CAM IDE U100
  1860-1867 : ide0
  1868-186f : ide1

It doesn't make much senses. Also I got

00:1f.1 IDE interface: Intel Corp. 82801CAM IDE U100 (rev 02) (prog-if 8a
[Master SecP PriP])
        Subsystem: Sony Corporation: Unknown device 80fa
        Flags: bus master, medium devsel, latency 0, IRQ 255
        I/O ports at 01f0
        I/O ports at 03f4
        I/O ports at 0170
        I/O ports at 0374
        I/O ports at 1860 [size=16]
        Memory at e8000000 (32-bit, non-prefetchable) [size=1K]

I don't like it at all. I will upload a patch. It seems to work
for me. But I don't know if it is 100% correct.
Comment 5 hjl 2002-09-08 02:14:26 EDT
Created attachment 75464 [details]
A patch to fix up the IDE I/O ports.
Comment 6 Jim Morton 2002-09-25 17:44:16 EDT
It would be great if these changes could make it into an official Red Hat kernel errata release, since most of the new Compaq and Dell desktop 
PC's that are shipping now have the  Intel845 chipset...and without these fixes the machines are basically useless for Linux.

Comment 7 Arjan van de Ven 2003-06-07 15:42:58 EDT
fixed in current errata

Note You need to log in before you can comment on or make changes to this bug.